KDE Frameworks 5.21.0 release

Logout Required
After installing this update it is required that you logout of your current user session and log back in to ensure the changes supplied by this update are applied properly.

How to install

sudo dnf upgrade --advisory=FEDORA-2016-ee693d7a0e

This update has been submitted for testing by rdieter.

3 years ago

This update has been pushed to testing.

3 years ago

Error: Transaction check error:

file /usr/share/kdevappwizard/templates/runner.tar.bz2 from install of kf5-krunner-devel-5.21.0-1.fc23.x86_64 conflicts with file from package kapptemplate-15.12.3-1.fc23.x86_64

User Icon cserpentis commented & provided feedback 3 years ago
karma

works for me

The most current plasma-workspace package for Fedora 23 won't accept that kf5-kactivities is no more:

"Error: package plasma-workspace-5.5.5-5.fc23.x86_64 requires kf5-kactivities, but none of the providers can be installed"

I had to stay with the kf5-kactivities 5.20 packages in order to actually keep my KDE Plasma desktop from being removed.

rdieter edited this update.

New build(s):

  • kf5-krunner-5.21.0-2.fc23

Removed build(s):

  • kf5-krunner-5.21.0-1.fc23
3 years ago

This update has been submitted for testing by rdieter.

3 years ago
User Icon bridouz commented & provided feedback 3 years ago
karma

Great

User Icon dhgutteridge commented & provided feedback 3 years ago
karma

No regressions noted in everyday use, though "History" is broken. (Rebooting doesn't have any effect, it just doesn't seem to work.) But this isn't technically a regression from 5.20, since the same problem happened there, as reported by others. (I've also seen this happen in the past with earlier upgrades, though it always corrected itself eventually.)

User Icon hreindl commented & provided feedback 3 years ago
karma

works for me

This update has been pushed to testing.

3 years ago

This update has been submitted for stable by bodhi.

3 years ago
User Icon greg18 commented & provided feedback 3 years ago
karma

bo problem at all, no crashes either

This update has been pushed to stable.

3 years ago

On dnf update I got the following message: Skipping packages with broken dependencies: kf5-kactivities-libs x86_64 5.21.0-1.fc23 updates 139 k

The kf5-kactivities-libs package is not in this update, nor bodhi can find it in updates.

Let me know if logs from dnf update --debugsolver would help.

For anyone encountering the "Skipping packages with broken dependencies: kf5-kactivities-libs x86_64 5.21.0-1.fc23" issue, you need to install FEDORA-2016-e0d1356e80

The kf5-kactivities-libs package is hidden under the kf5-kactivities link - koji build http://koji.fedoraproject.org/koji/buildinfo?buildID=751758. Sorry, that was my mistake. The issue seems to be that the koji build does not provide the kf5-kactivities.x86_64 (base) package, it contains only the -devel, -libs and -debuginfo packages. That is why the ..-libs update fails on dependencies. My system has both above mentioned packages installed (by default): kf5-kactivities.x86_64 5.19.0-1.fc23 kf5-kactivities-libs.x86_64 5.19.0-1.fc23

@anonymous: this is because there is no kf5-kactivities base package anymore. The packages were restructured and renamed and pushed in multiple updates. If you install FEDORA-2016-e0d1356e80 and then run a general update, it should address the dependency issue.

Thanks for the info. Yes, the FEDORA-2016-e0d1356e80 fixed the dependency.


Please login to add feedback.

Metadata
Type
bugfix
Severity
medium
Karma
4
Signed
Content Type
RPM
Test Gating
Builds
71
Settings
Unstable by Karma
-4
Stable by Karma
2
Dates
submitted
3 years ago
in testing
3 years ago
in stable
3 years ago
modified
3 years ago
breeze-icon-theme-5.21.0-1.fc23
extra-cmake-modules-5.21.0-2.fc23
kf5-5.21.0-1.fc23
kf5-attica-5.21.0-1.fc23
kf5-baloo-5.21.0-1.fc23
kf5-bluez-qt-5.21.0-1.fc23
kf5-frameworkintegration-5.21.0-1.fc23
kf5-kactivities-5.21.0-1.fc23
kf5-kapidox-5.21.0-2.fc23
kf5-karchive-5.21.0-1.fc23
kf5-kauth-5.21.0-1.fc23
kf5-kbookmarks-5.21.0-1.fc23
kf5-kcmutils-5.21.0-1.fc23
kf5-kcodecs-5.21.0-1.fc23
kf5-kcompletion-5.21.0-1.fc23
kf5-kconfig-5.21.0-1.fc23
kf5-kconfigwidgets-5.21.0-1.fc23
kf5-kcoreaddons-5.21.0-1.fc23
kf5-kcrash-5.21.0-1.fc23
kf5-kdbusaddons-5.21.0-1.fc23
kf5-kdeclarative-5.21.0-1.fc23
kf5-kded-5.21.0-1.fc23
kf5-kdelibs4support-5.21.0-1.fc23
kf5-kdesignerplugin-5.21.0-1.fc23
kf5-kdesu-5.21.0-1.fc23
kf5-kdewebkit-5.21.0-1.fc23
kf5-kdnssd-5.21.0-1.fc23
kf5-kdoctools-5.21.0-2.fc23
kf5-kemoticons-5.21.0-1.fc23
kf5-kfilemetadata-5.21.0-2.fc23
kf5-kglobalaccel-5.21.0-1.fc23
kf5-kguiaddons-5.21.0-1.fc23
kf5-khtml-5.21.0-1.fc23
kf5-ki18n-5.21.0-1.fc23
kf5-kiconthemes-5.21.0-1.fc23
kf5-kidletime-5.21.0-1.fc23
kf5-kimageformats-5.21.0-1.fc23
kf5-kinit-5.21.0-1.fc23
kf5-kio-5.21.0-1.fc23
kf5-kitemmodels-5.21.0-1.fc23
kf5-kitemviews-5.21.0-1.fc23
kf5-kjobwidgets-5.21.0-1.fc23
kf5-kjs-5.21.0-1.fc23
kf5-kjsembed-5.21.0-1.fc23
kf5-kmediaplayer-5.21.0-1.fc23
kf5-knewstuff-5.21.0-1.fc23
kf5-knotifications-5.21.0-1.fc23
kf5-knotifyconfig-5.21.0-1.fc23
kf5-kpackage-5.21.0-1.fc23
kf5-kparts-5.21.0-1.fc23
kf5-kpeople-5.21.0-1.fc23
kf5-kplotting-5.21.0-1.fc23
kf5-kpty-5.21.0-1.fc23
kf5-kross-5.21.0-1.fc23
kf5-krunner-5.21.0-2.fc23
kf5-kservice-5.21.0-1.fc23
kf5-ktexteditor-5.21.0-1.fc23
kf5-ktextwidgets-5.21.0-1.fc23
kf5-kunitconversion-5.21.0-1.fc23
kf5-kwallet-5.21.0-1.fc23
kf5-kwidgetsaddons-5.21.0-1.fc23
kf5-kwindowsystem-5.21.0-1.fc23
kf5-kxmlgui-5.21.0-1.fc23
kf5-kxmlrpcclient-5.21.0-1.fc23
kf5-modemmanager-qt-5.21.0-1.fc23
kf5-networkmanager-qt-5.21.0-1.fc23
kf5-plasma-5.21.0-1.fc23
kf5-solid-5.21.0-1.fc23
kf5-sonnet-5.21.0-1.fc23
kf5-threadweaver-5.21.0-1.fc23
oxygen-icon-theme-5.21.0-2.fc23

Automated Test Results